org.eclipse.graphiti.tb

## Interface IBorderDecorator

All Superinterfaces:
  IDecorator

All Known Implementing Classes:
  BorderDecorator

    public interface IBorderDecorator
    extends IDecorator

Border decorators can be used to add a border (a rectangle around the shape) to the visualization of a shape without modifying the dirty state of the displaying editor, see `IDecorator`.

Since:
  0.9

### Method Summary

All Methods Instance Methods Abstract Methods
`IColorConstant` `getBorderColor()` Returns the color that will be used for the border.
`Integer` `getBorderStyle()` Returns the style that will be used for the border line.
`Integer` `getBorderWidth()` Returns the width that will be used for the border line.

### Methods inherited from interface org.eclipse.graphiti.tb.IDecorator

`getMessage, setMessage`

### Method Detail

#### getBorderColor

    IColorConstant getBorderColor()

Returns the color that will be used for the border. By default (when returning `null`) `IColorConstant.BLACK` is used.

Returns:
  a `IColorConstant` defining the color

#### getBorderWidth

    Integer getBorderWidth()

Returns the width that will be used for the border line. By default (when returning `null` or a value smaller than 1) 1 is used.

Returns:
  an `Integer` defining the width of the border line

#### getBorderStyle

    Integer getBorderStyle()

Returns the style that will be used for the border line. Possible values are:

- `Graphics.LINE_SOLID`
- `Graphics.LINE_DASH`
- `Graphics.LINE_DASHDOT`
- `Graphics.LINE_DASHDOTDOT`
- `Graphics.LINE_DOT`

By default (when returning `null` or an invalid value) `Graphics.LINE_SOLID` is used.

Returns:
  an `Integer` defining the width of the border style